org.apache.uima.cas.admin

## Interface FSIndexRepositoryMgr

- All Superinterfaces:
    FSIndexRepository
  All Known Implementing Classes:
    FSIndexRepositoryImpl

      public interface FSIndexRepositoryMgr
      extends FSIndexRepository

  Repository of indexes. Indexes are defined via `FSIndexComparator`s.
  See Also:
    `FSIndex`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `commit()` Commit this repository instance.
    `FSIndexComparator` | `createComparator()` Create a new comparator to define a new index.
    `boolean` | `createIndex(FSIndexComparator comp, String label)` Create a new sorted index.
    `boolean` | `createIndex(FSIndexComparator comp, String label, int indexingStrategy)` Create a new index.
    `LinearTypeOrderBuilder` | `createTypeSortOrder()` Currently not useful.
    `LinearTypeOrderBuilder` | `getDefaultOrderBuilder()` Get the default type order builder.
    `LinearTypeOrder` | `getDefaultTypeOrder()` Get the default type order.
    `boolean` | `isCommitted()` Check if this instance has been committed.

    - ### Methods inherited from interface org.apache.uima.cas.FSIndexRepository

      `addFS, getAllIndexedFS, getAllIndexedFS, getIndex, getIndex, getIndexedFSs, getIndexedFSs, getIndexedFSs, getIndexes, getLabels, ll_getIndexes, removeAllExcludingSubtypes, removeAllExcludingSubtypes, removeAllIncludingSubtypes, removeAllIncludingSubtypes, removeFS`

- - ### Method Detail

    - #### createComparator

          FSIndexComparator createComparator()

      Create a new comparator to define a new index.
      Returns:
        A new comparator instance.

    - #### createIndex

          boolean createIndex(FSIndexComparator comp,
                              String label,
                              int indexingStrategy)
                       throws CASAdminException

      Create a new index. Note: if you creata a BAG_INDEX, the comparator will be ignored.
      Parameters:
        `comp` - The comparator for the new index.
        `label` - The name of the new index.
        `indexingStrategy` - The kind of index (sorted, set, bag).
      Returns:
        `false` iff an index with the same`label` already exists.
      Throws:
        `CASAdminException` - If the repository is locked (after calling `commit()`).

    - #### createIndex

          boolean createIndex(FSIndexComparator comp,
                              String label)
                       throws CASAdminException

      Create a new sorted index.
      Parameters:
        `comp` - The comparator for the new index.
        `label` - The name of the new index.
      Returns:
        `false` iff an index with the same`label` already exists.
      Throws:
        `CASAdminException` - If the repository is locked (after calling `commit()`).

    - #### commit

          void commit()

      Commit this repository instance. No more additions will be allowed.

    - #### isCommitted

          boolean isCommitted()

      Check if this instance has been committed.
      Returns:
        `true` iff this instance has been committed.

    - #### getDefaultOrderBuilder

          LinearTypeOrderBuilder getDefaultOrderBuilder()

      Get the default type order builder.
      Returns:
        The default type order builder.

    - #### getDefaultTypeOrder

          LinearTypeOrder getDefaultTypeOrder()

      Get the default type order.
      Returns:
        The default type order.

    - #### createTypeSortOrder

          LinearTypeOrderBuilder createTypeSortOrder()

      Currently not useful.
      Returns:
        A new type order builder.

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.